<?php

/**
 * Class Redq_WWC_Collection_Main_Query
 *
 * @author      redqteam
 * @category    Admin
 * @package     Wishlist\Includes
 * @version     1.0.0
 * @since       1.0.0
 */
class Redq_WWC_Collection_Main_Query {
  /**
   * __construct
   * Class constructor function contains my wishlists shortcode WP_Query $args via add_filter hook.
   *
   * @version 1.0.0
   * @since 1.0.0
   * @return null
   */
  public function __construct() {

    /**
     * @hook add_filter
     */
    add_filter( 'pre_get_posts', array( $this, 'wwc_collcetion_main_query' ), 10 );

  }

  public function wwc_collcetion_main_query( $query ) {
    if ( is_admin() && $query->is_main_query() ) {
      return;
    }
    if ( is_archive() && $query->is_post_type_archive( 'wwc_collection' ) ) {
      $query->set('post_status', array('publish'));
      // if(isset( $_GET['wwc_visibility'] ) && !empty( $_GET['wwc_visibility'] ) ) {

      //   switch ($_GET['wwc_visibility']) {
          
      //     case 'shared':
      //         $query->set('post_status', array('shared'));
      //         if( is_user_logged_in() ) {
      //           $query->set('author', get_current_user_id());
      //         } else {
      //           $query->set('post__in', array(0) );
      //         }
      //       break;

      //     case 'private':
      //       $query->set('post_status', array('private'));
      //       if( is_user_logged_in() ) {
      //         $query->set('author', get_current_user_id());
      //       } else {
      //         $query->set('post__in', array(0) );
      //       }
      //       break;

      //     case 'shared_with_me':
      //       $query->set('post_status', array('shared'));
      //       $query->set('meta_query', array(
      //         array(
      //           'key'     => '_collection_shared',
      //           'value'   => '%'.get_current_user_id().'%',
      //           'compare' => 'LIKE',
      //         )
      //       ));
      //       break;
          
      //     default:
      //       $query->set('post_status', array('publish'));
      //       break;
      //   }
      // } else {
      //   $query->set('post_status', array('publish'));
      // }
      
      // $query->set('post_status', array('private'));

      // global $wpdb;
      // $results = $wpdb->get_col( $wpdb->prepare( 
      //            "SELECT ID FROM $wpdb->posts 
      //             WHERE post_type = %s AND post_author = %d",
      //             'wwc_collection', get_current_user_id() ) );

      // $results = $wpdb->get_col( $wpdb->prepare( 
      //            "SELECT ID FROM `wp_posts`
      //               LEFT JOIN wp_postmeta v1
      //                 ON ( wp_posts.ID = v1.post_id )
                    
      //               WHERE `post_type` = '%s'
      //               AND ( ( v1.meta_key = '_collection_shared'
      //                 AND v1.meta_value LIKE '%d' )
      //                 OR ( ( `post_author` = '%d' AND `post_status` = '%s' ) OR `post_status` = '%s' ) )",
      //             'wwc_collection', 1, 1, 'private', 'publish' ) );


      // _log($results);

      // $query->set( 'post__in', $results );

    }

    // var_dump($query);

    return $query;

  }

}

new Redq_WWC_Collection_Main_Query();
