<?php
/**
 * Class Redq_WWC_Localization
 *
 * @author      redqteam
 * @category    Localization
 * @package     Wishlists & Collections\Language
 * @version     2.0.2
 * @since       1.0.0
 */
class Redq_WWC_Localization {
  
  /**
   * Register core post types.
   */
  public static function js_language_input() {

    do_action( 'redq_wwc_js_language_input' );

    $lang = apply_filters( 'redq_wwc_js_language_input_provider', array(
      'YOU_SHOULD_HAVE_A_COLLECTION_NAME' => esc_html__('You Should have a Collection Name.', 'wwcb'),
      'ADD_TO_YOUR_COLLECTION'            => esc_html__('Add to your collection', 'wwcb'),
      'ADD_TO_WISHLIST'                   => esc_html__('Add to wishlist', 'wwcb'),
      'REMOVE_FROM_WISHLIST'              => esc_html__('Remove from wishlist', 'wwcb'),
      'CREATE_COLLECTION'                 => esc_html__('Create Collection', 'wwcb'),
      'SAVE_COLLECTION'                   => esc_html__('Save Collection', 'wwcb'),
      'UPDATE_COLLECTION'                 => esc_html__('Update Collection', 'wwcb'),
      'CREATE_NEW_COLLECTION'             => esc_html__('CREATE NEW COLLECTION', 'wwcb'),
      'CREATE_UPDATE_COLLECTION'          => esc_html__('UPDATE COLLECTION', 'wwcb'),
      'PRIVACY_SETTINGS'                  => esc_html__('Privacy Settngs', 'wwcb'),
      'DESCRIPTION'                       => esc_html__('Description', 'wwcb'),
      'ENTER_YOUR_TEXT_HERE'              => esc_html__('enter your collection title here...', 'wwcb'),
      'ENTER_YOUR_DESC_HERE'              => esc_html__('enter the collection description here...', 'wwcb'),
      'BACK'                              => esc_html__('Back', 'wwcb'),
      'PRIVATE'                           => esc_html__('Private', 'wwcb'),
      'PUBLIC'                            => esc_html__('Public', 'wwcb'),
      'SHARED'                            => esc_html__('Shared', 'wwcb'),
      'TITLE'                             => esc_html__('Title', 'wwcb'),
      'ADD_COLLECTION'                    => esc_html__('Add Collection', 'wwcb'),
      'UPDATE_COLLECTION'                 => esc_html__('Update Collection', 'wwcb'),
      'PLEASE_LOG_IN'                     => esc_html__('Please login first for adding this to the collection', 'wwcb'),
      'PLEASE_LOG_IN_WISHLIST'            => esc_html__('Please login first for adding this to the wishlist', 'wwcb'),
      'PLEASE_LOG_IN_BOOKMARKS'           => esc_html__('Please login first for adding this to the bookmark lists.', 'wwcb'),
      'SHARED_TITTLE'                     => esc_html__('Share with ...', 'wwcb'),
      'UPDATE_SHARED'                     => esc_html__('Update Shared', 'wwcb'),
      'NO_COLLECTION'                     => esc_html__('You have no collection', 'wwcb'),
      'OOPS'                              => esc_html__('Please login first', 'wwcb'),
      'MYACCOUNT'                         => esc_html__('My Account', 'wwcb'),
      'LOGIN'                             => esc_html__('Login', 'wwcb'),
      'BOOKMARK_REMOVED_SUCCESSFULL'      => esc_html__('Bookmark Removed Successfull!', 'wwcb'),
    ));

    return $lang;
  }


}
