<?php
/**
 * WooCommerce Wishlist & Collection Template Hooks
 *
 * Action/filter hooks used for WooCommerce Wishlist & Collection functions/templates.
 *
 * @author      redqteam
 * @category    Core
 * @package     WooCommerce Wishlist & Collection/Templates
 * @version     1.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$wwc_admin_settings = get_option('wwc_admin_settings', true);

if( $wwc_admin_settings['enable_collection'] !== 'no' ) {
    /**
     * Collection Archive Page Menu
     */
    add_action( 'redq_wwc_archive_collection_nav_menu', 'redq_wwc_archive_collection_nav_menu', 10, 1 );

    /**
     * Collection My Account Page Menu
     */
    add_action( 'redq_wwc_my_account_collection_nav_menu', 'redq_wwc_my_account_collection_nav_menu', 10, 1 ); 
}

