<a href="<?php the_permalink() ?>" class="rq-collection" title="<?php the_title() ?>">
    <div class="rq-collection-items">
      <ul>
        <?php
          $placeholders = array(
            WWCB_IMG . 'collections-placeholder.png',
            WWCB_IMG . 'collections-placeholder.png',
            WWCB_IMG . 'collections-placeholder.png',
            WWCB_IMG . 'collections-placeholder.png',
            WWCB_IMG . 'collections-placeholder.png',
          );
          $products = get_post_meta( get_the_ID(), '_collection_products', true );
          
          if( !empty( $products ) ) {
            $products = array_reverse( $products );
            $count = count( $products );
            if ($count < 5) {
              for($i = 0; $i < $count; $i++) {
                $image_url = wp_get_attachment_url( $products[$i]['purl_id'] );
                $placeholders[$i] = $image_url;
              }
            } else {
              
              for($i = 0; $i <4; $i++) {
                $image_url = wp_get_attachment_url( $products[$i]['purl_id'] );
                $placeholders[$i] = $image_url;
              }
            }
          }
        
          foreach( $placeholders as $placeholder ) : ?>
            <li><img src="<?php echo esc_url( $placeholder ) ?>" alt="<?php the_title() ?>"></li>  
          <?php endforeach ?>
      </ul>
    </div>
    <div class="rq-collection-name">
      <h3><?php the_title() ?></h3>
      <button class="ss"></button>
    </div>
</a>