<?php

if( $preview == 'default' ) :
global $wpdb;

$results = $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$wpdb->postmeta} WHERE meta_key = %s", 'post_type'), ARRAY_A );


$post_types = array();

foreach ($results as $value) {
    if( !in_array( $value['meta_value'], $post_types ) ) {
        $post_types[] = $value['meta_value'];    
    }
}

?>

<ul>
  <?php foreach ($post_types as $post_type) : ?>
    <li><a href="?type=<?php echo $post_type ?>"><?php echo ucfirst( $post_type ) ?></a></li>
  <?php endforeach ?>
</ul>

<?php endif; // preview ?>

<div class="wwc-collection-wrapper wwc-column-three">
    <?php

      if( isset( $_GET['type']  ) ) {
        $post_type = $_GET['type'];
      } // isset $_GET['type']

      $current_user_id = get_current_user_id();
      if( $current_user_id !== 0 ) {
        $args = array(
          'post_type'       => 'wwc_collection',
          'author'          => get_current_user_id(),
          'post_status'     => array('publish', 'private', 'shared'),
          'posts_per_page'  => -1,
          'meta_key'        => 'post_type',
          'meta_value'      => $post_type,
        );
      } else {
        $args = array(
        'post_type'       => 'wwc_collection',
        'post_status'     => array('publish'),
        'posts_per_page'  => -1,
        'meta_key'        => 'post_type',
        'meta_value'      => $post_type,
      );
      }
        
        global $post;
        $collections = get_posts( $args ); 
        foreach ($collections as $post) : setup_postdata($post); ?>
        <a href="<?php the_permalink() ?>" class="rq-collection" title="<?php the_title() ?>">
          <div class="rq-collection-items">
            <ul>
              <?php
                $placeholders = array(
                  WWCB_IMG . 'collections-placeholder.png',
                  WWCB_IMG . 'collections-placeholder.png',
                  WWCB_IMG . 'collections-placeholder.png',
                  WWCB_IMG . 'collections-placeholder.png',
                  WWCB_IMG . 'collections-placeholder.png',
                );
                $products = get_post_meta( get_the_ID(), '_collection_products', true );
                
                if( !empty( $products ) ) {
                  $products = array_reverse( $products );
                  $count = count( $products );
                  if ($count < 5) {
                    for($i = 0; $i < $count; $i++) {
                      $placeholders[$i] = wp_get_attachment_url( $products[$i]['purl_id'] );
                    }
                  } else {
                    
                    for($i = 0; $i <4; $i++) {
                      $placeholders[$i] = wp_get_attachment_url( $products[$i]['purl_id'] );
                    }
                  }
                }
              
                foreach( $placeholders as $placeholder ) : ?>
                  <li><img src="<?php echo esc_url( $placeholder ) ?>" alt="<?php the_title() ?>"></li>  
                <?php endforeach ?>
            </ul>
          </div>
          <div class="rq-collection-name">
            <h3><?php the_title() ?></h3>
            <button class="ss"></button>
          </div>
      </a>

    <?php
        endforeach;
        wp_reset_postdata();
    ?>
</div>