<?php

$user_id = get_current_user_id(); // current user
$meta_posts = get_user_option( "_wishlisted_product", $user_id  ); // post ids from user meta
$post_type = $_GET['type'];

$query_args = array(
    'posts_per_page'    => 8,
    'no_found_rows'     => 1,
    'post_status'       => 'publish',
    'post_type'         => $post_type,
    'post__in'          => array_merge( array( 0 ), $meta_posts[$post_type] )
);
$the_query = new WP_Query( $query_args );
// The Loop
if ( $the_query->have_posts() ) { ?>
    <div class="wwc-bookmark-wrapper">
    <?php
    while ( $the_query->have_posts() ) {
        global $post;
        $the_query->the_post(); ?>
        <div class="wwc-bookmark-list">
            <div class="wwc-bookmark-thumb">
                <?php the_post_thumbnail() ?>
            </div>
            <div class="wwc-bookmark-details">
                <a href="<?php the_permalink() ?>"><h3><?php the_title() ?></h3></a>
                <?php
                foreach ($meta_posts[$post_type] as $key => $value) : 
                    if( $key == get_the_ID() ) : ?>
                    <p>
                        <?php echo esc_attr( $value['description'] ); ?>
                    </p>
                    <?php
                    endif;
                endforeach; ?>
            </div>
        </div>
    <?php
    } // end while
    ?>
    </div>

<?php
} // end the loop