<?php

/**
 * Class Redq_WWC_Admin_Menu
 *
 * @author      redqteam
 * @category    Admin
 * @package     Wishlist\Admin
 * @version     1.0.1
 * @since       1.0.1
 */
class Redq_WWC_Admin_Menu {
  
  public function __construct(){

    add_action( 'admin_menu', array( $this , 'admin_menu')  );
      
  }

  public function admin_menu() {
    add_menu_page( $page_title = 'Wishlist', $menu_title = 'Wishlist', $capability = 'manage_options', $menu_slug = 'wishlist_admin_settings', $function =  array( $this , 'admin_main_menu_options'),$icon_url = 'dashicons-exerpt-view' );
  }

  public function admin_main_menu_options() {
    if ( !current_user_can( 'manage_options' ) )  {
      wp_die( __( 'You do not have sufficient permissions to access this page.', 'wwcb' ) );
    }

    include_once 'admin-template/wwc-admin-settings-panel.php';
  }

}

new Redq_WWC_Admin_Menu();
