<?php
/**
 * Wishlist & Collection  WWCB_VC_Support
 *
 * @class       WWCB_VC_Support
 * @version     2.1.0
 * @package     Wishlists & Collections/Includes
 * @since       2.1.0
 * @category    Class
 * @author      redqteam
 */
class WWCB_VC_Support {
  public function __construct() {
    add_action( 'init', array( $this,'wwcb_vc_func'), 99 ); 
  }
  public function wwcb_vc_func(){
    // wishlist shortcode
    vc_map(
      array(
        'name'      => esc_html__('Wishlists', 'wwcb'),
        'base'      => 'wwc_my_wishlists',
        'class'     => '',
        'icon'      => 'icon-mpc-prod_slider',
        'category'  => esc_html__('REDQ WWCB', 'wwcb'),
        'params'    => array(),
      )
    );
    // bookmark shortcode
    vc_map(
      array(
        'name'      => esc_html__('Bookmarks', 'wwcb'),
        'base'      => 'my_bookmarks',
        'class'     => '',
        'icon'      => 'icon-mpc-prod_slider',
        'category'  => esc_html__('REDQ WWCB', 'wwcb'),
        'params'    => array(),
      )
    );
    // collection shortcode
    vc_map(
      array(
        'name'      => esc_html__('Collections', 'wwcb'),
        'base'      => 'wwc_preview_collectons',
        'class'     => '',
        'icon'      => 'icon-mpc-prod_slider',
        'category'  => esc_html__('REDQ WWCB', 'wwcb'),
        'params'    => array(),
      )
    );
  }
}
new WWCB_VC_Support();