<?php
/**
 * The template for displaying story single posts and attachments
 *
 * @package RedQ Team
 * @subpackage Wishlists & Collection
 * @since Wishlists & Collection 1.0
 */

get_header(); ?>

    <div id="primary" class="content-area wwc-collection-wrapper wwc-column-three">
        <?php // do_action('redq_wwc_archive_collection_nav_menu') ?>
        <div class="clearfix">
            <?php if( have_posts() ) : ?>
                <?php while ( have_posts() ) : the_post(); ?>

                    <?php redq_wwc_get_template_part( 'content', 'collection' ); ?>
                    
                <?php endwhile; // end of the loop. ?>

            <?php else : ?>
                <p class="woocommerce-info"><?php _e( 'No collections were found matching your selection.', 'wwcb' ); ?></p>
            <?php endif ?>
        </div>
        <div class="wwc-collection-paginate">
            <?php woocommerce_pagination() ?>
        </div>
    </div><!-- .content-area -->

<?php get_footer(); ?>
