<?php
// Query To grab all the favourite user data
global $bp;
$user_id = $bp->displayed_user->id;
$key = '_wwcb_following';
$buddy_loop = get_user_meta($user_id, $key);
?>

<?php if ( is_user_logged_in() ) { ?>
  <div class="wwcb-buddy-wrapper">
    <?php if(!empty($buddy_loop)) { ?>
      <?php foreach ($buddy_loop as $single_buddy) { ?>
        <?php 
          $following_count = count ($single_buddy); 
        ?>
        <div class="wwcb-buddy-wrapper-title">
          <?php echo esc_html__('Following', 'wwcb'); ?>
          <span class="wwcb-buddy-wrapper-count">
            <?php echo esc_attr( $following_count ); ?>
          </span>
        </div>
        <?php foreach ($single_buddy as $single_buddy_id) { ?>
          <?php $user_info = get_userdata( $single_buddy_id ); ?>
          <div class="wwcb-buddy-single">
            <div class="wwcb-user-info-block">
              <?php 
                echo bp_core_fetch_avatar(
                  array(
                    'item_id' => $single_buddy_id, 
                    'type' => 'full' 
                  )
                ); 
              ?>
              <a class="wwcb-userlink" href="<?php echo bp_core_get_user_domain( $single_buddy_id ); ?>">
                <span class="wwcb-username"> <?php echo $user_info->display_name;  ?> </span>
              </a>
              <?php 
                if(!empty( $user_info->roles )) {
                  $user_role = $user_info->roles[0];
                }  
              ?>
              <span class="wwcb-userrole"> <?php echo $user_role;  ?> </span>
            </div>
          </div>
        <?php } ?>
      <?php } ?>
    <?php } else { ?>
      <div class="wwcb-logged-checked-buddy-wrapper">
        <span>
          <?php echo esc_html__('No Following Buddy Found!', 'wwcb'); ?>
        </span>
      </div>
    <?php } ?>
  </div>
<?php } else { ?>
  <div class="wwcb-logged-checked-buddy-wrapper">
    <span>
      <?php echo esc_html__('Please Login First to see the Following Buddy List.', 'wwcb'); ?> 
    </span>
  </div>
<?php } ?>
